std::raw_storage_iterator(3)

NAME
std::raw_storage_iterator -

SYNOPSIS

Inherits iterator< std::output_iterator_tag, void, void, void, void >.

Detailed Description

  template<class _ForwardIterator, class _Tp> class std::raw_storage_iterator< _ForwardIterator, _Tp >
This iterator class lets algorithms store their results into uninitialized memory.

Definition at line 71 of file stl_raw_storage_iter.h.

  Public Types
typedef _Distance difference_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Tp value_type

  Public Member Functions
raw_storage_iterator & operator * ()
raw_storage_iterator< _ForwardIterator, _Tp > operator++ (int)
raw_storage_iterator< _ForwardIterator, _Tp > & operator++ ()
raw_storage_iterator & operator= (const _Tp &__element)
raw_storage_iterator (_ForwardIterator __x)

  Protected Attributes
_ForwardIterator _M_iter

Member Typedef Documentation

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.